using SewingDressesContracts.BindingModels;
using SewingDressesContracts.SearchModels;
using SewingDressesContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SewingDressesContracts.BusinessLogicsContracts
{
	public interface IImplementLogic
	{
		List<ImplementViewModel>? ReadList(ImplementSearchModel? model);
		ImplementViewModel? ReadElement(ImplementSearchModel? model);
		bool Create(ImplementBindingModel? model);
		bool Update(ImplementBindingModel? model);
		bool Delete(ImplementBindingModel? model);
	}
}
